<script>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import InputError from '@/Components/InputError.vue';
import InputLabel from '@/Components/InputLabel.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import TextInput from '@/Components/TextInput.vue';
import { Head, useForm } from '@inertiajs/vue3';

export default {
  components: {
    Head, TextInput, PrimaryButton, InputLabel, InputError, GuestLayout,
  },

  layout: GuestLayout,

  props: {},

  setup(props) {
    const form = useForm({
      password: '',
    });

    const submit = () => {
      form.post('/confirm-password', {
        onFinish: () => form.reset(),
      });
    };

    return {
      form,
      submit,
    }
  }
}

</script>

<template>
  <Head title="Проверка пароля" />

  <div class="mb-4 text-sm text-gray-600">
    Это обычная проверка безопасности. Пожалуйста, подтвердите свой пароль, прежде чем продолжить.
  </div>

  <form @submit.prevent="submit">
    <div>
      <InputLabel for="password" value="Пароль" />

      <TextInput
          id="password"
          type="password"
          class="mt-1 block w-full"
          v-model="form.password"
          required
          placeholder="*********"
          autofocus
      />

      <InputError class="mt-2" :message="form.errors.password" />
    </div>

    <div class="flex justify-end mt-4">
      <PrimaryButton class="ms-4" :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
          Подтвердить
      </PrimaryButton>
    </div>
  </form>
</template>
